Subject: Problem delivering mail

From: [email-masked] (Fernando Souza Ribeiro - SCON - R.7520)
Date: Thu, 4 Jan 1996 09:23:39 -0200 (EDT)

Hi,

	When I use PINE to send mail, my address is being defined as 
"[email-masked]" when the correct form would be 
"[email-masked]".

	How can I correct this ? Certainly, it is one of the options of 
the configuration module, isn't it ? But, there are so many ... :-) and
no one so intuitive ... How can I set the correct form for all the users ?

	Thanks in advance.

			Fernando

P.S : the problem doesn't happen when I use "ELM" or "mail -v" .

I put below one .pine-debug1 example. I hope that it helps you :

--------------------------------------------------------------------------
Debug output of the Pine program (at debug level 2).  Version 3.91
Wed Jan  3 10:09:15 1996

reading_pinerc "/usr/local/lib/pine.conf"
Open failed: No such file or directory
reading_pinerc "/home/obelix/ccuec/conect/fribeiro/.pinerc"
Read 5433 characters:
reading_pinerc "/usr/local/lib/pine.conf.fixed"
Open failed: No such file or directory
======= Current_val options set =======
           inbox-path : inbox
   folder-collections : mail/[]
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lp
 last-time-prune-ques : 95.9
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (/home/obelix/ccuec/conect/fribeiro/.pinerc) =======
 last-time-prune-ques : 95.9
    last-version-used : 3.91
======= Global_val options set (/usr/local/lib/pine.conf) =======
           inbox-path : inbox
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lp
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
  no-auto-move-read-msgs
  no-auto-open-next-unread
  no-compose-rejects-unqualified-addrs
  no-compose-sets-newsgroup-without-confirm
  no-delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
  no-enable-aggregate-command-set
  no-enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
  no-enable-bounce-cmd
  no-enable-flag-cmd
  no-enable-full-header-cmd
  no-enable-incoming-folders
  no-enable-jump-shortcut
  no-enable-mail-check-cue
  no-enable-suspend
  no-enable-tab-completion
  no-enable-unix-pipe-cmd
  no-expanded-view-of-addressbooks
  no-expanded-view-of-folders
  no-expunge-without-confirm
  no-include-attachments-in-reply
  no-include-header-in-reply
  no-include-text-in-reply
  no-news-approximates-new-status
  no-news-post-without-validation
  no-news-read-in-newsrc-order
  no-preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
  no-quit-without-confirm
  no-save-will-quote-leading-froms
  no-save-will-not-delete
  no-save-will-advance
  no-select-without-confirm
  no-show-selected-in-boldface
  no-signature-at-bottom
  no-use-current-dir
  no-use-function-keys
Userid: fribeiro
Fullname: "Fernando Souza Ribeiro - SCON - R.7520"
User domain name being used ""
Local Domain name being used "obelix"
Host name being used "obelix"
Mail Domain name being used (by c-client too)"obelix"
Context mail/[] type: LOCAL
ioctl(TIOCWINSZ) failed :Invalid argument
Terminal type: vt100
Context mail/[] type: LOCAL
About to open folder "INBOX"    inbox: "INBOX"
Opened folder "/var/mail/fribeiro" with 23 messages
Sorting by Arrival
Want_to read: y (121)
Want_to read: y (121)
IMAP 10:9 1/3 mm_log babble: Find of mailbox outside context: /home/obelix/ccuec/conect/fribeiro/.pine-interrupted-mail
- mailcap_free -

    ---- MAIN_MENU_SCREEN ----
- mailcap_free -

    ---- COMPOSE SCREEN (not in pico yet) ----
IMAP 10:9 1/3 mm_log babble: Find of mailbox outside context: /home/obelix/ccuec/conect/fribeiro/.pine-interrupted-mail

=== send called ===

  ---- COMPOSER ----
- build_address -
-- init_addrbooks(Closed, 0, 0, 1) --
- adrbk_open(.addressbook) -
Address book .addressbook (.addressbook) opened with 0 items
- adrbk_lookup_by_addr([email-masked]) (in /home/obelix/ccuec/conect/fribeiro/.addressbook) -
- build_address -
ioctl(TIOCWINSZ) failed :Invalid argument
=== calling sendmail ===
done.
Send SUCCESSFUL.
To: [email-masked]
Subject: teste fribeiro via pine
Message ID: <Pine.SOL.3.91.960103100943.15424A-100000@obelix>

- mailcap_free -

    ---- MAIN_MENU_SCREEN ----
Want_to read: c (99)
- mailcap_free -
User domain name being used ""
Local Domain name being used "obelix"
Host name being used "obelix"
Mail Domain name being used (by c-client too)"obelix"
Want_to read: c (99)
- mailcap_free -
- mailcap_free -

    ---- COMPOSE SCREEN (not in pico yet) ----
IMAP 10:13 1/3 mm_log babble: Find of mailbox outside context: /home/obelix/ccuec/conect/fribeiro/.pine-interrupted-mail

=== send called ===

  ---- COMPOSER ----
- build_address -
- adrbk_lookup_by_addr([email-masked]) (in /home/obelix/ccuec/conect/fribeiro/.addressbook) -
- build_address -
ioctl(TIOCWINSZ) failed :Invalid argument
=== calling sendmail ===
done.
Send SUCCESSFUL.
To: [email-masked]
Subject: teste 2 fribeiro obelix
Message ID: <Pine.SOL.3.91.960103101301.15424B-100000@obelix>

- mailcap_free -

    ---- MAIN_MENU_SCREEN ----

    ---- HELPER ----
Helptext Failed open "/usr/local/lib/pine.info": "No such file or directory"
Sorting by Arrival

 ---- MAIL INDEX ----

 ---- INDEX MANAGER ----

  -----  MAIL VIEW  -----
done.

 ---- MAIL INDEX ----

 ---- INDEX MANAGER ----
MAIL_CMD: going back to main menu
- mailcap_free -

    ---- MAIN_MENU_SCREEN ----
Want_to read: u (117)
About to open folder "*{pine.cac.washington.edu/anonymous}updates"    inbox: "INBOX"
Close - saved inbox state: max 24
IMAP mm_notify NIL : *{pine.cac.washington.edu/anonymous}updates : ftp1.cac.washington.edu IMAP2bis Service 7.8(97) at Wed, 3 Jan 1996 04:17:26 -0800 (PST)
Opened folder "*{pine.cac.washington.edu}updates" with 8 messages
Sorting by Arrival

 ---- MAIL INDEX ----

 ---- INDEX MANAGER ----
MAIL_CMD: going back to main menu
- mailcap_free -

    ---- MAIN_MENU_SCREEN ----
Want_to read: c (99)
- mailcap_free -
Want_to read: c (99)
- mailcap_free -

    ---- REPORTING BUG ("Pine Developers" <[email-masked]>) ----
Want_to read:   (32)

    ---- QUIT SCREEN ----
Want_to read: y (121)
expunge and close mail stream "*{pine.cac.washington.edu}updates"
IMAP mm_notify bye : *{pine.cac.washington.edu}updates : ftp1.cac.washington.edu IMAP2bis server terminating connection
expunge and close mail stream "/var/mail/fribeiro"
about to end_tty_driver
- completely_done_with_adrbks -
- mailcap_free -